io.vertx.mysqlclient

## Enum SslMode

- java.lang.Object
- - java.lang.Enum<SslMode>
  - - io.vertx.mysqlclient.SslMode

- All Implemented Interfaces:
    Serializable, Comparable<SslMode>

      public enum SslMode
      extends Enum<SslMode>

  This parameter specifies the desired security state of the connection to the server. More information can be found in MySQL Reference Manual

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` establish an unencrypted connection.
    `PREFERRED` establish an encrypted connection if the server supports encrypted connections, falling back to an unencrypted connection if an encrypted connection cannot be established.
    `REQUIRED` establish an encrypted connection if the server supports encrypted connections.
    `VERIFY_CA` Like REQUIRED, but additionally verify the server Certificate Authority (CA) certificate against the configured CA certificates.
    `VERIFY_IDENTITY` Like VERIFY_CA, but additionally perform host name identity verification by checking the host name the client uses for connecting to the server against the identity in the certificate that the server sends to the client.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `value`
    `static SslMode[]` | `VALUES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SslMode` | `of(String value)`
    `static SslMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SslMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final SslMode DISABLED

      establish an unencrypted connection.

    - #### PREFERRED

          public static final SslMode PREFERRED

      establish an encrypted connection if the server supports encrypted connections, falling back to an unencrypted connection if an encrypted connection cannot be established.

    - #### REQUIRED

          public static final SslMode REQUIRED

      establish an encrypted connection if the server supports encrypted connections. The connection attempt fails if an encrypted connection cannot be established.

    - #### VERIFY_CA

          public static final SslMode VERIFY_CA

      Like REQUIRED, but additionally verify the server Certificate Authority (CA) certificate against the configured CA certificates. The connection attempt fails if no valid matching CA certificates are found.

    - #### VERIFY_IDENTITY

          public static final SslMode VERIFY_IDENTITY

      Like VERIFY_CA, but additionally perform host name identity verification by checking the host name the client uses for connecting to the server against the identity in the certificate that the server sends to the client.

  - ### Field Detail

    - #### VALUES

          public static final SslMode[] VALUES

    - #### value

          public final String value

  - ### Method Detail

    - #### values

          public static SslMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SslMode c : SslMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SslMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static SslMode of(String value)

Copyright © 2020 Eclipse. All rights reserved.